# puppet-lldp ![License badge][license-img]

1. [Overview](#overview)
2. [Description](#description)
3. [Setup](#setup)
4. [Usage](#usage)
5. [Limitations](#limitations)
6. [Development](#development)
7. [Miscellaneous](#miscellaneous)

## Overview

The  Link  Layer Discovery  Protocol  (LLDP)  is  a vendor-neutral  link  layer
protocol in the Internet Protocol Suite used by network devices for advertising
their identity, capabilities, and neighbors on  an IEEE 802 local area network,
principally wired Ethernet.

[wikipedia.org](https://en.wikipedia.org/wiki/Link_Layer_Discovery_Protocol)

Ladvd is a lldp / cdp / edp / fdp / ndp sender  for Unix. Ladvd uses link-layer
advertisements  to inform  switches  about connected  hosts,  which  simplifies
Ethernet switch management. It  does this by  forking into a  privileged parent
which handles all raw sockets (and  certain ioctls), and  an unprivileged child
which  creates and parses all  packets. Every  30 seconds  the  child generates
advertisement frames reflecting the  current system state.  Interfaces (bridge,
bonding, wireless), capabilities (bridging, forwarding, wireless) and addresses
(IPv4, IPv6) are detected dynamically.  Secondly ladvd can listen  for incoming
frames and  utilize these for various features (protocol  auto-enable, logging,
interface descriptions).

[github.com/sspans/ladvd](https://github.com/sspans/ladvd/)

Open-LLDP  is  the   home  of  lldpad  (LLDP  Agent  Daemon)   a  GPL  licensed
implementation of the Link Layer Discovery Protocol for Linux.

[open-lldp.org](http://open-lldp.org/lldpad)

## Description

Puppet module to install, deploy and configure LLDP.

## Setup

Copy this module in your modules folder without *puppet-* in the name.

or

```bash
puppet module install vpgrp-lldp
```

## Usage

```puppet
class { 'lldp':
  package => true,
  service => true,
}
```

## Limitations

So far, this is compatible with Debian, RedHat, and other derivatives.

## Development

Please read carefully CONTRIBUTING.md before making a merge request.

## Miscellaneous

```
    ╚⊙ ⊙╝
  ╚═(███)═╝
 ╚═(███)═╝
╚═(███)═╝
 ╚═(███)═╝
  ╚═(███)═╝
   ╚═(███)═╝
```

[license-img]: https://img.shields.io/badge/license-Apache-blue.svg
