# == Class: lldp::params
#
# This is a container class holding default parameters for lldp module.
#
class lldp::params {
  case $::operatingsystem {
    /(?i:debian|devuan|ubuntu)/: {
      case $::lsbdistcodename {
        /(?i:lenny|lucid|squeeze)/: {
          $lldp_package_name = 'lldpd'
          $lldp_service_name = 'lldpd'
        }
        default                   : {
          $lldp_package_name = 'ladvd'
          $lldp_service_name = 'ladvd'
        }
      }
    }
    /(?i:centos)/              : {
      $lldp_package_name = 'lldpad'
      $lldp_service_name = 'lldpad'
    }
    default                    : {
      fail("Module ${module_name} is not supported on ${::operatingsystem}")
    }
  }
}
# EOF
