# -*- ruby -*-

require 'serverspec'

set :backend, :exec

def lsb_release
  command('lsb_release -c').stdout
end

def old_version?
  lsb_release =~ /lenny|squeeze/
end

def lldp_package_name
  if old_version?
    'lldpd'
  else
    'ladvd'
  end
end

def lldp_service_name
  if old_version?
    'lldpd'
  else
    'ladvd'
  end
end

describe 'Packages' do
  describe package(lldp_package_name) do
    it { should be_installed }
  end
end

describe 'Service' do
  describe service(lldp_service_name) do
    # TODO
    # it { should be_enabled }
    it { should be_running }
  end
end
# EOF
